#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>


#include <dbui-defs.h>

#include <dbui-structs.h>

void
drop_connection(GtkMenuItem *menu_item,gpointer data)
{
    DRIVER	*driver_p;
    CONNECTION	*con;
    GtkWidget	*main;
    GtkWidget	*tree;
    GtkCTreeNode *node;
    GtkCTreeNode *parent;
    TABLE	*t;
    TABLE	*t1;
    char	*label;

    node = gtk_object_get_data(GTK_OBJECT(data),"MY_DATA");

    if(!node )
	return;

    tree = gtk_object_get_data(GTK_OBJECT(data),"ctree");
    
    if(node && tree)
	{
	t = gtk_ctree_node_get_row_data (GTK_CTREE(tree),node);
	if(t && !t->parent)
	  {

	  parent = GTK_CTREE_NODE_PREV(node);

	  if(parent)
	   {
	     t1 = gtk_ctree_node_get_row_data (GTK_CTREE(tree),parent);

	     if(t1 && t1->window)
	      {
		con = t->my_connect;
		driver_p = con->driver_p;
		driver_p->free_connection(con);
		gtk_object_set_data(GTK_OBJECT(t1->window), t->name,NULL);	
	      }
	   }
	  }
	gtk_ctree_remove_node(GTK_CTREE(tree),node);
	}
}
