#include <gtk/gtk.h>
            
#include <stdio.h>
#include <string.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include <libpq-fe.h>

#include <postgres-prototypes.h>

int
postgres_change_type_to_dbui(int	type)
{
   
    switch(type)
      {

	case 16:
	case 17:
		return DBUI_TINY;
		break;

	case 21:
		return DBUI_SHORT;
		break;

	case 23:
		return DBUI_INT;
		break;

	case 20:
		return DBUI_LONG;
		break;

	case 700:
		return DBUI_FLOAT;
		break;

	case 701:
		return DBUI_DOUBLE;
		break;

	case 1184:
		return DBUI_DATETIME;
		break;

	case 1082:
		return DBUI_DATE;
		break;

	case 1083:
		return DBUI_TIME;
		break;

	case 1043:
	case 18:
		return DBUI_VARCHAR;
		break;

	case 25:
		return DBUI_BLOB;
		break;

	case 32:
		return DBUI_SET;
		break;

	default:
		return DBUI_VARCHAR;
		break;
		
      }

}
