#include <gtk/gtk.h>
    
#include <stdio.h>
#include <string.h>
    
#include <dbui-defs.h>
    
#include <dbui-structs.h>

#include "column_functions.h"

#include "function_prototypes.h"

void
delete_callback(GtkButton      *button,gpointer        container)
{
    DRIVER      *driver_p = NULL;
    CONNECTION	*connect = NULL;
    TABLE	*table_s = NULL;
    COLUMN	*col = NULL;
    GList	*current_value = NULL;
    GList	*g_l = NULL,*g_l2 = NULL;
    GtkWidget   *my_container = NULL;
    GtkWidget   *table = NULL;
    GtkWidget   *main_window = NULL;
    GtkWidget   *main_tree = NULL;
    GtkWidget	*scroll_window = NULL;
    GtkWidget	*align = NULL;
    GList	*result_list = NULL;
    int		i;


    main_window = gtk_widget_get_toplevel(GTK_WIDGET(button));

    main_tree = gtk_object_get_data(GTK_OBJECT(main_window),"main_tree");

    scroll_window = gtk_object_get_data(GTK_OBJECT(main_window),
			"scrolledwindow2");

    if(GTK_BIN(GTK_BIN(scroll_window)->child)->child)
	{
	align = GTK_BIN(GTK_BIN(scroll_window)->child)->child;

	table = gtk_object_get_data(GTK_OBJECT(align),"my_table");

	}

    if(table)
	{

	current_value = get_table_value_list(table);

	table_s = gtk_object_get_data(GTK_OBJECT(table),"TABLE");

	g_l = current_value;

	if(table_s && g_l)
		{
		connect = table_s->my_connect;

		if(table_s->current_value)
		  {
			delete_col_list(table_s->current_value);
			g_list_free(table_s->current_value);
		  }	
		table_s->current_value = g_l;
		}
	
	if(connect)
	  {
	  driver_p = connect->driver_p;
	  }
	if(driver_p)
	  {
	  result_list = driver_p->exec_delete(table_s);

	  if(table_s->result_set && result_list)
		{
		delete_result_set(table_s->result_set);
		g_list_free(table_s->result_set);
		}
	  if(result_list)
		{
		table_s->number_results = g_list_length(result_list);

		table_s->result_set = result_list;
	
		set_result_set_index(table,result_list,0);
		}
	  }
	}

    return;
}
